Bug 618314 - ApachePluginTest failing on Hudson
Summary: ApachePluginTest failing on Hudson
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Tests   
(Show other bugs)
Version: 3.0.0
Hardware: All All
high
low vote
Target Milestone: ---
: ---
Assignee: Filip Drabek
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 16:20 UTC by Jay Shaughnessy
Modified: 2010-08-09 05:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-09 05:32:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Shaughnessy 2010-07-26 16:20:57 UTC
Starting with commit 8746c033f4a3735d0ad55ca87bae185ac7293227 the ApachePlugintest.start() method is failing on Hudson:

Error Message

Unable to load library 'augeas': libaugeas.so: cannot open shared object file: No such file or directory

Stacktrace

java.lang.UnsatisfiedLinkError: Unable to load library 'augeas': libaugeas.so: cannot open shared object file: No such file or directory
	at com.sun.jna.NativeLibrary.loadLibrary(NativeLibrary.java:164)
	at com.sun.jna.NativeLibrary.getInstance(NativeLibrary.java:237)
	at com.sun.jna.Library$Handler.<init>(Library.java:140)
	at com.sun.jna.Native.loadLibrary(Native.java:372)
	at com.sun.jna.Native.loadLibrary(Native.java:357)
	at net.augeas.jna.Aug.<clinit>(Unknown Source)
	at net.augeas.Augeas.<init>(Unknown Source)
	at org.rhq.augeas.AugeasProxy.load(AugeasProxy.java:102)
	at org.rhq.plugins.apache.ApacheAugeasUtil.initAugeas(ApacheAugeasUtil.java:38)
	at org.rhq.plugins.apache.ApacheAugeasTest.testMapping(ApacheAugeasTest.java:53)
	at org.rhq.plugins.apache.ApachePluginTest.start(ApachePluginTest.java:71)

Comment 1 Filip Drabek 2010-08-05 11:58:21 UTC
fixed by commit 04f29c218de34e2b51686832366fb5be11a2415a


Note You need to log in before you can comment on or make changes to this bug.